aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--ChangeLog16
-rwxr-xr-xrc.d/rc.sysinit4
2 files changed, 19 insertions, 1 deletions
diff --git a/ChangeLog b/ChangeLog
index 15ea01d5..7806ef20 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,19 @@
+2000-02-05 Nalin Dahyabhai <nalin@redhat.com>
+
+ * rc.d/init.d/single:
+ whoops, single should really check that it got start before it does anything
+
+ * initscripts.spec, rc.d/init.d/random:
+ fix bug 9102
+
+2000-02-04 Bill Nottingham <notting@redhat.com>
+
+ * ChangeLog, initscripts.spec:
+ *** empty log message ***
+
+ * lang.csh, lang.sh:
+ if LC_ALL/LINGUAS == LANG, don't set them
+
2000-02-04 Bill Nottingham <notting@redhat.com>
* lang.csh, lang.sh:
diff --git a/rc.d/rc.sysinit b/rc.d/rc.sysinit
index 5edfeb59..88949ccf 100755
--- a/rc.d/rc.sysinit
+++ b/rc.d/rc.sysinit
@@ -262,9 +262,11 @@ fi
# Load sound modules
#
# I think this now qualifies as over-engineered.
+RETURN=0
alias=`egrep -s "^alias[[:space:]]+sound[[:space:]]+" /etc/conf.modules | awk '{ print $3 }'`
if [ -n "$alias" -a "$alias" != "off" ] ; then
action "Loading sound module ($alias)" modprobe sound
+ RETURN=$?
fi
alias=`egrep -s "^alias[[:space:]]+midi[[:space:]]+" /etc/conf.modules | awk '{ print $3 }'`
if [ -n "$alias" -a "$alias" != "off" ]; then
@@ -272,7 +274,7 @@ if [ -n "$alias" -a "$alias" != "off" ]; then
fi
# Load mixer settings
-if grep -q "\(sparcaudio\|sound\)" /proc/devices 2>/dev/null && [ -f /etc/.aumixrc -a -x /bin/aumix-minimal ]; then
+if grep -q "\(sparcaudio\|sound\)" /proc/devices 2>/dev/null && [ $RETURN -eq 0 -a -f /etc/.aumixrc -a -x /bin/aumix-minimal ]; then
action "Loading mixer settings" /bin/aumix-minimal -f /etc/.aumixrc -L
fi